﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    image bg back1 = "back1.jpg"
    image bg back1b = "back1b.jpg"
    image bg back2 = "back2.jpg"
    image bg back3 = "back3.jpg"
    image bg back4 = "back4.jpg"
    image bg back5 = "back5.jpg"
    image bg black = "#000000"
    image mary = "mary.png"
    image peter = "peter.png"
    image ryoko = "ryoko.png"
    image fortuna = "fortuna.png"
    image angela = "angela.png"

    # Declare characters used by this game.
    
    $ I = Character('-', color="#c8ffc8")
    $ m = Character('-Mary', color="#c8ffc8")
    $ p = Character('-Peter', color="#c8ffc8")
    $ r = Character('-Ryoko', color="#c8ffc8")
    $ a = Character('-Angela', color="#c8ffc8")
    $ f = Character('-Subway Officer', color="#c8ffc8")

    $ station_n = 2
    $ time = 0
    $ hour = 13
    $ min = 0


    python hide:
        
        
        
        def game_overlay():
            ui.image("overlay.jpg",
                        xpos=1.0, xanchor="right",
                        ypos=0.65, yanchor="top")

        config.overlay_functions.append(game_overlay)
        
        def station_overlay():
            ui.image("st" + str(station_n) + ".png",
                        xpos=1.0, xanchor="right",
                        ypos=0.65, yanchor="top")

        config.overlay_functions.append(station_overlay)
        
        def time_overlay():
            if min == 5 or min == 0:
                ui.text("{size=+14}" + str(hour) + " : 0" + str(min) + "{/size}",
                        xpos=0.975, xanchor="right",
                        ypos=0.665, yanchor="top")
            else:
                ui.text("{size=+14}" + str(hour) + " : " + str(min) + "{/size}",
                        xpos=0.975, xanchor="right",
                        ypos=0.665, yanchor="top")

        config.overlay_functions.append(time_overlay)
        
label clock:
    $ time += 5
    if time == 120:
        jump times_up
    else:
        if time > 55:
            $ hour = 14
            $ min = time - 60
        else:
            $ hour = 13
            $ min = time

        return

label start:
    $ mary = 0
    $ time = 0
    $ islington = 0
    $ angela_sad = False
    $ cupid = False
    $ hidden_feelings = False
    $ mary = False
    $ fortuna = False
    $ ryoko_card = False
    $ ryoko_leave = False
    $ peter = False
    $ peter_warned = False

    scene bg black with dissolve
    'She rejected me.'
    
    'She rejected me.'
    
    'I revealed her my feelings. I told her my love. Everything I had felt and hidden for so long.'
    'And she rejected me.'
    
    'Have you ever waited a long time to say something? Something important, that burned inside you and desperately tryed to get out?'
    'Have you already hidden your feelings for so long it feels like your heart is too small to hold everything in?'
    'And did you ever wait for something for two years... Only to have your heart broken?'
    'If you have, you know what I feel right now.'
    'After all that time my reward were only two words: {p}"I\'m sorry."'
    'Funny how these two words can hurt so much...'
    'I guess it could have been much worse. She could have shouted at me. She could have laughed.'
    'But...'
    'It still hurt me.'
    'My heart felt hollow and numb. I kept repeating the same words in my mind.'
    'I\'m sorry.{p}I\'m sorry.{p}I\'m sorry.'
    'The monotone of the subway train seemed to echoe my thoughts. I couldn\'t wrap my mind around it. I couldn\'t stop or change tracks.'
    'I could only repeat "I\'m sorry" like an idiot, sitting in a train and not knowing where else to go.'
    'Where should I go next?'
    jump line_2_cw

label line_1_cw:
    scene bg back3 with fade
    $ station_n = 1
    call clock from _call_clock_2
    menu:
        "Exit train (Herminger St.)":
            jump herminger
        
        "Remain on train":
            jump line_2_cw
    
label line_2_cw:
    scene bg back3 with fade
    $ station_n = 2
    call clock from _call_clock_3
    menu:
        "Exit train (Islington St.)":
            jump islington
        
        "Remain on train":
            jump line_3_cw

label line_3_cw:
    scene bg back3 with fade
    $ station_n = 3
    call clock from _call_clock_4
    menu:
        "Exit train (Rudyard St.)":
            jump rudyard
        
        "Remain on train":
            jump line_5_cw

label line_4_cw:
    scene bg back3 with fade
    $ station_n = 4
    call clock from _call_clock_5
    menu:
        "Exit train (Palladian St.)":
            jump palladian
        
        "Remain on train":
            jump line_1_cw

label line_5_cw:
    scene bg back3 with fade
    $ station_n = 5
    call clock from _call_clock_6
    menu:
        "Exit train (Banerjee St.)":
            jump banerjee
        
        "Remain on train":
            jump line_4_cw

label line_6_cw:
    scene bg back3 with fade
    $ station_n = 6
    call clock from _call_clock_7
    menu:
        "Exit train (Green St.)":
            jump green
        
        "Remain on train":
            jump line_7

label line_1_ccw:
    scene bg back3 with fade
    $ station_n = 1
    call clock from _call_clock_8
    menu:
        "Exit train (Herminger St.)":
            jump herminger
        
        "Remain on train":
            jump line_4_ccw
    
label line_2_ccw:
    scene bg back3 with fade
    $ station_n = 2
    call clock from _call_clock_9
    menu:
        "Exit train (Islington St.)":
            jump islington
        
        "Remain on train":
            jump line_1_ccw

label line_3_ccw:
    scene bg back3 with fade
    $ station_n = 3
    call clock from _call_clock_10
    menu:
        "Exit train (Rudyard St.)":
            jump rudyard
        
        "Remain on train":
            jump line_2_ccw

label line_4_ccw:
    scene bg back3 with fade
    $ station_n = 4
    call clock from _call_clock_11
    menu:
        "Exit train (Palladian St.)":
            jump palladian
        
        "Remain on train":
            jump line_5_ccw

label line_5_ccw:
    scene bg back3 with fade
    $ station_n = 5
    call clock from _call_clock_12
    menu:
        "Exit train (Banerjee St.)":
            jump banerjee
        
        "Remain on train":
            jump line_3_ccw

label line_6_ccw:
    scene bg back3 with fade
    $ station_n = 6
    call clock from _call_clock_13
    menu:
        "Exit train (Green St.)":
            jump green
        
        "Remain on train":
            jump line_3_end

label line_7:
    $ station_n = 7
    call clock from _call_clock_14
    jump katsuragi

label line_3_end:
    $ station_n = 3
    call clock from _call_clock_15
    jump rudyard

label herminger_menu:
    call clock from _call_clock_16
    menu:
        "Take train bound Islington St.":
            jump line_2_cw
        
        "Take train bound Palladian St.":
            jump line_4_ccw

label islington_menu:
    call clock from _call_clock_17
    menu:
        "Take train bound Rudyard St.":
            jump line_3_cw
        
        "Take train bound Herminger St.":
            jump line_1_ccw

label rudyard_menu:
    call clock from _call_clock_18
    menu:
        "Take train bound Banerjee St.":
            jump line_5_cw
        
        "Take train bound Islington St.":
            jump line_2_ccw

        "Take train bound Green St.":
            jump line_6_cw

label palladian_menu:
    call clock from _call_clock_19
    menu:
        "Take train bound Herminger St.":
            jump line_1_cw
        
        "Take train bound Banerjee St.":
            jump line_5_ccw

label green_menu:
    call clock from _call_clock_20
    menu:
        "Take train bound Katsuragi St.":
            jump line_7
        
        "Take train bound Rudyard St.":
            jump line_3_end

label islington:
    scene bg back4 with fade
    
    if islington == 0 and time < 25:
        jump angela1
    
    elif islington > 0 and time < 55:
        jump angela2
    elif islington > 0 and time < 55:
        jump angela2
        
    elif angela_sad == True:    
        jump angela_gone
        
    else:
        jump no_angela
        

label angela1:
    
    'I got out of the train... I didn\'t even know why. I don\'t usually stop at Islington station.'
    'Maybe I was too confused to notice where I was.'
    'I also didn\'t notice Angela until she approached me.'
    a "So...? How did it go?"
    'The question came out of the blue. It took a few seconds for me to understand the situation.'
    'Angela was Mary\'s best friend. She knew hoiw I felt and even helped me get closer to Mary.'
    'She was always trying to help me, saying nice things while I wasn\'t around, leaving us alone at every oportunity...'
    'She helped me so much... But I guess, it wasn\'t enough.'
    a "C'mon... You were going to tell her today, right? How did it go?"
    I "Not good..."
    a "Yeah... I can see that just by looking at your face."
    a "Was it bad?"
    I "I guess... She said \"I'm sorry\" and shook her head. But her expression already told me everything."
    I "She...{p}She doesn't like me."
    a "Oh, she does like you. She always..."
    I "Not the way I do."
    a "..."
    a "So that's it? You're giving up?"
    'I felt suddenly exhausted by her positive energy. It\'s easy for her to be enthusiastic. She didn\'t have to look at Mary\'s face.'
    'Or that voice... Filled with pity and so distant, as if talking to another person.'
    I "What can I do? She doesn't like me... I know it."
    a "Well, it looks like she didn't reject you outright... So maybe you still have a chance."
    a "Go back there and put your heart into it. Tell her you love and can't give up on her! The fight isn't over yet, so don't give up!"
    I "I don't know..."
    a "Aww, c'mon... You're a great guy."
    a "I know that if I had to pick anyone to be her boyfriend, I'd choose you. You're such a nice guy... Smart. Kind."
    'She pauses and looks sad for a moment.'
    a "Don't give up, no matter how impossible it may seem."
    $ islington += 1
    jump islington_menu
    
label angela2:
 
    if cupid == True:
        'And here I am, once again.'
        'The world turned, everything changed, and in the end... Things just went back to the beginning.'
        'I wanted to tell her what happened... That\'s all'
        a "Hey. You're back!"
        a "How did it go this time?"
        I "She already has someone else."
        a "What?"
        I "Peter."
        a "What the... How long have they been together?"
        I "Hmm... A few minutes?"
        a "What the... Woah, calm down and start from the beginning! Mary's dating peter."
        I "I met him at Palladin Station. Convinced him to propose to her."
        a "You WHAT?!"
        I "She told me she liked him... And then I met him and found out he liked her as well... Isn't that so romantic?"
        a "..."
        a "So, you helped them get together?"
        I "Yeah."
        a "Why?"
        I "I don't know... If at least they're both happy..."
        'I shrugged and looked away, my mind a thousand miles too distant.'
        a "I know about a girl that did the same thing as you."
        a "She loved someone very much, but he wasn't interested in her. He liked somebody else."
        a "So she helped him as much as she could to be with that other person, because she thought that even if he wasn't with her...{p}If at least, he was happy..."
        a "And the more she tried to help him, the closer they got and the more it hurt. Until she had to hide her love so deeply even she couldn't find it."
        I "..."
        I "That must have been painful."
        I "Maybe she should have told the guy. I mean... Even if she risked loosing him, it would still be better than to hide it."
        I "I waited too long, and look what happened."
        'Another silence followed, both of us lost in our thoughts.'
        'The bustle of the people and the noise of the subway surrounded us. I felt tired. The day had drained all my energy.'
        'So many were walking to and fro hurriedly, going to their destinations and not looking at the world around them. In the middle of all that, Angela and I were silently standing by the platform.'
        'I felt a small hand grab mine, carefully, as if afraid to break something delicate.'
        'It was warm and comforting as it held me. I felt my heart beat faster.'
        'Could it be...?'
        'My suspicions slowly blossomed into certainty when I looked at her expression.'
        'I couldn\'t find the right words to respond. I was still stunned by what was happening.'
        'So, without saying a word, I held her hand as well and looked away.'
        'The truth finally came out, and all the secrets revealed themselves.'
        'Fate has a strange sense of humor.'
        'Her hand gripped mine tighter, as if holding on to me so I would not let go. I smiled a little.'
        I "Do you think a relationship between two matchmakers can work?"
        a "I'm willing to try."
        'My smile gets wider.'
        I "stranger things have happened."
        'Two teenagers holding hands in the middle of a subway station... Not something very odd, unless you knew their story.'
        'How they spinned in circles for so long until they found each other, only by accident.'
        'This is my story.'
        'Where are we going next? I don\'t know.'
        'All I know is that we\'re going together.'
        $ renpy.full_restart()
    
    else:
        
        if mary:
            'I wonder why I returned?'
            'To see Angela? But why would she still be here?'
            a "Hey. You're here again?"
            'She is here.'
            a "Tell me how it went."
            I "Worse than before..."
            a "Oh..."
            'A heavy sileince folowed, and I replayed Mary\'s words of the second declaration in my mind. Somehow, I began to feel even worse.'
            a "Don't worry. Maybe it's today. You can try waiting a bit. and seeing what happens. You never know, I mean..."
            I "Angela."
            a "..."
            I "That's it.{p}Enough."
            I "I don't know why you're so keen on cheering me, but it's not working."
            I "She doesn't like me. She likes someone else. That's {b}it{/b}."
            I "Can't you see that I'm hurt? That there's nothing to be done? That no amount of... Of \"Positive attitude\" and whishful thinking will change the fact that She. Doesn't. Love. Me."
            $ renpy.pause(3.0)
            a "Fine then."
            'She turned her back to me and walked away in a hurry, soon mingling with the other people in the station.'
            'She didn\'t even try to look back.'
            'And I was rooted to the spot, looking like a complete brute.'
            'Not only had I managed to get a rejection from Mary, but I also lost a friend that tried her best to help me.'
            'I felt lousy. And angry at Angela as well. Angry at her blind optimism that was just waiting to be broken.'
            'Above all, I wanted to get out of the station as quickly as possible.'
            'And to forget this day ever existed.'
            $ angela_sad = True
            jump islington_menu
            
        elif islington == 2:
            I "I still didn't talk to her..."
            a "..."
            a "Why?! When will you get the courage?"
            I "I'm the one that should be asking why! Why do you want to get us together so badly?"
            I "Why do you keep pushing me to see her, even after I got kicked away? Why?!"
            a "Because I don't want you to make the same mistake as I did!"
            a "I've been an idiot all my life. Always helping others, living through my friend's dreams."
            a "And never having enough courage to risk things myself..."
            a "So that's why... At least you..."
            'Her voice faltered and silence fell on us like a ton of load, crushing our conversation, or rather our argument, into nothingness.'
            'Then she turned and walked out of the station in slow, hesitant steps.'
            'I could not think of anything to stop her...'
            $ hidden_feelings = True
            $ angela_sad = True
            jump islington_menu
            
        else:
            'And here I am again.'
            'I wonder if Angela is still here?'
            a "Hey. You're back!"
            'She is here.'
            a "How did it go this time?"
            I "There wasn't any \"this time\"."
            a "... You didn't talk to her?"
            I "No..."
            a "...{p}Why not?"
            I "I...{p}I guess I'm just scared."
            I "What if I make things worse? What if it's even more painful?"
            I "If the words \"I'm sorry\" already hurt me so much... What of the others I will hear?"
            a "Look. I know it may be scary..."
            a "Actually, I'm not a great example, considering I've never done what you did..."
            a "But if there is a chance... No matter how small... Wouldn't you risk it?"
            I "..."
            a "Don't be afraid to take risks. Believe me. There's nothing worse than being frozen in fear, too afraid to move."
            I "If you say so..."
            'I waved her goodbye again, and walked to the platform.'
            jump islington_menu
    
label angela_gone:
    'And there I was once more...'
    'But Angela didn\'t come to greet me... Not anymore.'
    'Maybe I was hoping to see her. To talk to her again.'
    'Did I miss her...? Maybe. Maybe despite all my depression I wanted to be next to her. To receive her encouragement one more time.'
    'But she wasn\'t there.'
    ' She did not show up.'
    jump islington_menu

label no_angela:
    'Why did I get down here? There\'s nothing for me in Islington.'
    'But then again, I don\'t have any clue where I\'m going...'
    'Just killing time... Spinning around in pointless circles.'
    'So stopping here makes as much sense as anything else...'
    'I waited until the next train that would take me nowhere.'
    jump islington_menu
    
label rudyard:
    scene bg back1 with fade
    
    if 20 <= time and time <= 40:
        jump ryoko
        
    elif not fortuna and time > 80:
        jump luck
        
    else:
        jump busy_station
        
label ryoko:
    'I got out of the train just like almost everybody else, fighting against the crowd to find a place where I could sit down.'
    I "Phew... "
    'I stood next to the wall and waited until the flux of people gets better. Crowds and elbows in your stomach have never been among my favourite things.'
    'And that is when she came, looked at my face and then threw her arms around me.'
    "Strange woman" "Rick!"
    'Needless to say, none of my names are Rick.'
    I "Err..."
    "Strange woman" "Why have you not answered my calls? You are you being so cold to me? Didn' we love each other? Didn' we?"
    I "Excuse me..."
    "Strange woman" "No 'scuses! 'M tired of your 'scuses!"
    'I always thought being passionately embraced by a random attractive woman would be fairly pleasant... But the fact she was drunk and confusing me with someone else took away some of the magic.'
    'And besides, I was in no mood for laughs.'
    I "You're confusing me with someone else Miss."
    'She finally looked at me, her eyes a little unfocused and her face flushed red.'
    "Strange woman" "Oh... 'ou're not Rick..."
    'She smelled of alcohol, and her speach was also a little slurred, although I could still understand her.'
    I "No. I'm not."
    'She still kept holding me, as if trying to understand this new fact. It was quite a strange situation.'
    'Then she finally let me go, with an embarassed expression stuck in her face.'
    "Strange woman" "I... I am... Shorry... I mean sorry..."
    "Strange woman" "I confused you... Someone else..."
    I "That's ok."
    'There was an awkward silence, and she began talking to fill the gap.'
    "Strange woman" "I know I mebbe a leetle... Y' know... My boyfrien' left me..."
    "Strange woman" "I didn' mean to... Bother... I just wann'ed to see 'im {b}so much{/b}"
    "Strange woman" "I thought you were 'im... You look alike... And he was so nishe to me..."
    "Strange woman" "Why didde leave me then...? I don'..."
    'And I was just thinking \"Great, will I have to hear out the drunk ramblings of a woman I don\'t even know until the next train comes?\". I mean, I didn\'t even know her name.'
    'My expression must have betratyed my thoughts. She looked at me and bowed her head again.'
    "Strange woman" "'M sorry... I'll be going now..."
    'And we stood there, silently next to each other, waiting for the next train.'
    'But I must admit I felt curious about her, despite the fact she looked on the far side of tipsy and too embarassed to speak.'
    'She said her boyfriend... Left her or something. I imagined she must feel the same as me.'
    'Me wandering around in the subway. She drinking to ease the pain. What was so different between us?'
    'Neither wanted to return home.'
    'Then the train to Green Station arrived and she silently walked to the platform, soon mingling with the crowd.'
    'And I stood there, feeling like I should say something. Maybe tell her that I understand... I don\'t know.'
    call clock from _call_clock_21
    
    menu:
        "Take train bound Banerjee St.":
            jump line_5_cw
        
        "Take train bound Islington St.":
            jump line_2_ccw

        "Take train bound Green St.":
            jump ryoko_together
            
label luck:
    
    'I fought against the crowd and made my way into Rudyard station, right in the center of town. The busiest of them all.'
    'I wandered until finding an empty bench and sat there, deep in thought.'
    'I didn\'t know what to do. My mind was confused and everything was happening so suddenly. I just wanted to sit down for a moment and think.'
    f "Are you all right?"
    'Out of nowhere came a woman with a subway officer uniform. I did not hear her coming, nor did I really understand the question she asked.'
    I "Yeah, sure... I guess so."
    f "Then why the long face? You look as if you were the unluckiest person in the whole world."
    f "And I know that's not the case."
    '\"Oh great\", I thought. "All I need right now is a station officer who wants to cheer up random people."'
    I "Don't worry. Really, I'm fine."
    'She paused for a moment and looked at me up and down, as if measuring me inside her head. It gave me the creeps.'
    f "Where are you going then?"
    'I looked away in embarassed silence.'
    I "I don't know... Just wandering around..."
    'She stifled a laugh and I felt a surge of anger overtake me.'
    I "What's the problem? Is this some sort of crime?"
    f "Oh, no. Not at all. Much by the contrary, it's nice to see someone just wandering around without a set destination for a change."
    f "There was a tribe once that put a lot of importance in what you are doing. When someone reached 15 they were given the choice of traveling or not."
    f "Those that traveled left the village with no destination in mind, and no purpose but travelling. They could not return for at least five years. Some returned later and some not at all."
    f "But those that did were greatly honored and revered as having almost semi-religious wisdom and powers. They never spoke even once of the outside world, so that any future travelers would have to learn everything by themselves."
    f "The travelers went away to find wisdom, leaving their destination to chance and fate, and then returned when they had found it."
    'I just remained quiet, a bit surprised by the strange turn this conversation had taken.'
    I "I'm not wandering around to find wisdom. It's just that.... I was rejected by this girl..."
    'I cursed myself silently when I realized I had let it slip. And of course she did not let this opportunity pass.'
    f "Ah, that explains a lot..."
    if cupid and angela_sad and ryoko_card:
        
        I "But really... This has been one of the strangest days of my life."
        f "Sounds interesting. So the wandering around was not completely useless then?"
        I "No, that's the point. Many thing happened today. Strange, unexpected and pointless things."
        scene bg back4 with fade
        I "I had an argument with the girl that rejected me and a few minutes later, with her friend, that had helped me for so long."
        I "I may have lost two great friendships in a couple of minutes. All because of a stupid declaration."
        scene bg back3 with fade
        I "Then I met a woman, completely by accident and I comforted her, because SHE was depressed because of a rejection as well."
        I "I thought maybe... I would have a chance to talk to her, but it didn't work."
        I "You know when... You feel that if a single word was different it would have worked out? Just a single different word... A single thing… And maybe things would have been different."
        I "But we went separate ways..."
        scene bg back2 with fade
        I "And THEN, I helped a guy I almost never talked to before in my life to get the girl of his dreams, which was the girl that rejected me in the first place."
        scene bg back1 with fade
        I "Everything turned around and in the end, I'm back at the beginning."
        I "What was the point of all this? What have I gained?"
        f "Wisdom maybe?"
        I "Maybe."
        I "If I learned anything today..."
        I "It's that the world doesn't make sense, or follow any rules."
        scene bg back1b with dissolve
        I "It doesn't matter how much you value someone, care about them or even love them. If things don't work right... If you just happen to be unlucky..."
        I "You can have the strongest, most beautiful love in the world, it's all in vain."
        I "Relationships are born out of chance meetings and pure luck, and are so easily destroyed by the same luck."
        I "The wrong situation... The wrong words... The wrong time... And all you worked so hard for can evaporate like dream in the morning."
        I "Of course, luck isn't the single thing that controls our lives, but neither are we, really."
        I "Chance... Luck... Fate... Call it whatever you want... But it can make you or it can break you."
        I "It can change your future your life, your friendships, your love."
        I "And you'll never know... Maybe if I had not talked to her again that day..."
        I "If I had not bumped into that person..."
        I "If I had not stopped at that station..."
        I "Random, insignificant choices... That can change everything."
        I "If a single unimportant choice can be so crucial... Then what can we do, except hope for the best?"
        I "Hope that this train will take us to a better station, a more pleasant place. Hope that our fellow passengers are kind and that at the end of the line is our goal."
        I "All we can do... Is to choose as best as we can... And have hope."
        f "..."
        f "It's been a long time since I heard words like these."
        I "I'm sorry. I got carried away for a bit."
        f "No, no. Don't be."
        f "Umm… Excuse me, but could you please take this briefcase to the lost and found for me?"
        I "This one? No problem, I guess."
        'She handed me a small black business-like briefcase and smiled at me.'
        f "So all we can do is try to make the best of our choices and hope, huh?"
        I "As far as I can see it…"
        scene bg black with dissolve
        'And then she kissed me.{p}She kissed my lips, and her tongue slid inside and brushed against mine.'
        'That kiss tasted... Impossibly different. Copper. Maple syrup. Crushed violets. The thrill of adventure.'
        'Time stood still and I knew, right then, that my old life was lost.'
        f "Don't loose that hope."
        f "I'll always be watching out for you"
        I "What...? But... Why?"
        f "Because that's my choice."
        I "Who are you?"
        f "... Fortuna."
        scene bg back1 with dissolve
        'She whispered in my ear. And then she was gone. Lost in the middle of the station crowd while I just stood there, too shocked to speak.'
        'After a few moments I just walked silently to the lost and found section, my mind many miles away and above that underground ceiling.'
        'When I got there a businessman was nervously talking to the lost and found attendant.'
        "Businessman" "My briefcase!"
        'He jumped at me and I quietly handed him what I was carrying. He seemed overjoyed and held it tightly as he smiled at me.'
        "Businessman" "Thank heavens! I was worried that I would not be able to finish the deal. I could have been broke if you hadn't found this!"
        "Businessman" "You saved me, boy. I don't want to be ungrateful."
        'He took his watch from his wrist and pushed it into my hands. It was golden and expensive-looking. The kind that is worth thousands. I just looked numbly at it. My mind giving up on any logical thought.'
        "Businessman" "And now I have to go. Thank you and goodbye, boy!"
        'With those last words he walked away quickly, still clutching the briefcase close to him.'
        'The lost and found attendant whistled and looked enviously at the watch in my hands.'
        "Attendant" "I guess this is your lucky day, eh kid?"
        I "No... I mean... A station offcier gave me the breifcase... She deserves the reward, not me..."
        I "Her name's Fortuna."
        "Attendant" "Who? There's nobody with this name working here, boy."
        "Attendant" "Don't be modest. You were lucky, so feel happy about it."
        'I couldn\'t think of any reply.'
        scene bg black with dissolve
        
        "Father" "Son, don't you want to think about this some more?"
        I "I've already thought enough. I'm going."
        "Father" "But you have only finished school! Don't you think about your future?"
        "Father" "You have some money now, that would be very helpful to your future. Pay a good university, or help you with your getting money for your own office or your own company."
        "Father" "Listen to my advice, please. Invest this money. Don't spend it all on a crazy trip."
        I "I have to go."
        "Father" "But you don't even know where you're going! What are you going to do with this trip? What is the purpose of it?"
        I "I have to go."
        "Father" "Son… Can you at least tell me why?"
        'My thoughts briefly flash back to that woman, to the taste of her kiss and to the bright green of her eyes.'
        I "I don't think you'd understand."
        "Father" "Well… Then I guess there's nothing left I can do, is there?"
        I "I\'ll keep in touch if I can."
        "Father" "Please. Call me if you need anything, ok? Don't be afraid to ask me if you're in trouble."
        I "All right."
        'We said our goodbyes and I left, many emotions fighting inside my heart.'
        'Fear. Anxiety. Excitement. Happiness. Regret. Loneliness. Freedom.'
        I "Well…"
        I "Where should I go now?"
        $ renpy.full_restart()
        
    elif ryoko_leave:

        I "I'm also a bit worried about... Something else."
        f "What is it?"
        f "Come on... You can tell me."
        I "Well..."
        I "I just met this woman in the subway and... She invited me to her house."
        I "Don't get me wrong. It wasn't... Like {b}that{/b} kind of thing. She was also a bit down..."
        I "But I just chikcened out and stopped before her house. Although I think she kinda regreted inviting me..."
        I "But I can't help wondering... Should I have gone with her? Maybe cheer her up a little? Maybe even... Help me get over all this..."
        f "..."
        I "Have I done something wrong? Maybe?"
        f "Maybe, maybe, maybe... If you're so worried, why don't you go back and talk to her? Knock at her door, invite yourself in and give her a deep, loving kiss!"
        I "No! I mean... No, I don't mean it like that. Really..."
        I "I've been just kicked today, for heaven's sake. I'm not chasing after a woman I don't even know..."
        I "It just hurts to think of her. Especially because...{p}We're not so different."
        I "We're in the same situation."
        I "And I know that if I was in her place, I'd like to talk about it..."
        f "Well, go ahead. What's stopping you?"
        I "I don't know her house..."
        f "You have eyes, a mouth and a pair of legs, right? Search for it! Ask around."
        f "Put your trust in luck and fate, and they will bring you wisdom."
        'I smile a little at her crazy philosophy. I guess station officers come in all flavours.'
        I "I'm really not looking for wisdom."
        f "just because you're not searching for something it doesn't mean you won't find it."
        'And she kissed my cheek, quickly. And I felt a strange rush through me. It was not only surprise or excitement, but something else... An undescribable feeling, as if my life was completely different, and yet I could notice any change.'
        'And then she was gone, as quick as she came. Lost in the crowd of the station. And in the midst of all the hurdle I was alone again.'
        $ fortuna= True
        jump rudyard_menu
        
    elif hidden_feelings:
        I "But... There\'s something more..."
        f "Oh? What is it?"
        I "There was this... Friend. She tried to help me..."
        I "It didn't work thouhg, and I kinda got mad at her."
        I "I'm worried.... that I 've lost two very impoirtant friends in a single day. The girl I liked and... The other one that helped me."
        f "My, my! You're surrounded by girls! You look like the protagonist of a dating sim or something!"
        I "Dating what? And what do you mean by surrounded by... Look, you're getting the whole thing completely wrong!"
        'She just laughed at me and I got very angry again. She just seemed to take the whole thing so lightly... But then again, I guess a high schooler\'s love problems wouldn\'t rank very high in the concerns of a station officer.'
        f "I think you're the one who's not getting it."
        I "Me?!"
        f "Hmm... She cares about you. She just doesn't show it."
        I "Who are you to know?"
        f "..."
        f "If you want my advice... Wander in the station a little more. Don't hurry anywhere. A bit of thinking never killed anyone, right?"
        I "That's your advice?"
        f "To follow it or not is your decision. I can put the gold in front of you but I can't make you take it."
        'And with that she kissed my cheek quickly and walked away while I was too stunned to do anything.'
        'It was a strange kiss. It made me feel something... An undescribable feeling, as if my life was completely different, and yet I could notice any change.'
        'I looked around but she was nowhere to be seen. Gone as silently as she came.'
        $ fortuna = True
        jump rudyard_menu
        
    else:
        I "Yeah, feel free to laugh as much as you want. I've been rejected and now I'm wasting time and avoiding going home."
        f "There's nothing to be ashamed about that."
        f "Sometimes we neen a pause in our lives to just do nothing, wander around purposelessly and think."
        I "But what will I accomplish with that? What will I create?"
        I "Sometimes, I feel as if my whole life has been nothing but one useless wadering around..."
        f "Don't be like that."
        f "When you're traveling, even if you're not looking for something, that doesn't mean your trip will be uneventful... Or meaningless."
        f "It all depends on Lady luck... And how you react to whatever she brings to you."
        I "If you say so..."
        f "Of course I say so. And it's true."
        f "And if things go wrong you can always try again, right?"
        I "Try again?"
        'She winked at me and then walked away. Soon I lost her in the ever-crowded station.'
        'I still do not understand why did she come and tell me all those things.'
        $ fortuna = True
        jump rudyard_menu
        
label busy_station:
    'I walked out of the train and fought against the crowd until finding a quiet corner to sit down.'
    'Every time I stopped in it my thoughts began cursing the stupid rush time and the station. It was one of my least favourite.'
    'But after the initial rush that followed the train\'s arrival many people left the station and things got better again.'
    'People leaving, people going, people chainging trains. Everybody was going somewhere else.'
    'To all of them, the subway was transportation, nothing more. Just a place between them and their objectives...'
    jump rudyard_menu
    
label banerjee:
    scene bg back2 with fade
    'I get out of the train and pass through the ticket gates.'
    scene bg white with dissolve
    'I blink when my eyes first greet the sunilght. Outside at last.'
    'well... It had to happen sometime. I need to go back home, I can\'t mourn a rejection forever.'
    'One day I\'ll even forget all the pain of this rejection. This day, these brief time underground, everything will be forgotten.'
    'I hesitate and look back at the subway entrance again.'
    'Another page of my life turned, another failure for my collection.'
    I "Aw, to hell with it."
    'I keep walking home. No point in looking at the past.'
    if ryoko_card:
        'But as I put my hands in my pockets, I felt the little card Ryoko gave me.'
        'So it was not a dream after all. But it still felt like days ago.'
        'But I can\'t help smiling as I take it out and read it again.'
        I "Murakawa Ryoko, Katsuragi Transports"
        'Her business adress and telephone were printed below. It may seem slightly impersonal but I smirked again as her anxious face floated in front of my eyes for a second.'
        'There was still hope. Definetly not with Mary. Maybe not even with Ryoko. But nevertheless...{p} Still hope.'
    elif cupid:
        'But... I did manage to get Mary and Peter together...'
        'The memory of the two togther resurfaced in my mind, and strangely I still feel pain.'
        'If it hurts so much, why didn\'t I just ignore Peter\'s revelation? Why did I have to play cupid?'
        'At least... I know I have no hope. I know it\'s finished.'
        'And when the end arrives, a new beginning may show up later. Who knows?'
        'I felt my optismism returning as I got farther and farther away from the dimly-lit subway station and its incessant movement to and fro.'
        I "No use having any regrets."
        'I whispered to myself as I returned home. But still, you could never truly erase the past.'
        'All you can do is move forward.'
    elif angela_sad:
        'But a memory of the past returns and stings my heart.'
        'Angela.'
        'What have I done? Did I loose my two best friends in a single day?'
        '"I\'ll get back home and I\'ll call her. I\'ll apologize. I...'
        'I don\'t want to be alone.'
        'The future ahead of me seems vague and uncertain. I don\'t know who will stay with me, and help me face it...'
        'But I have to go on. I have to. I can\'t stop.'
        'And I can\'t go back...'
    scene bg black with dissolve
    'I walk back home, but my familiar neighbourhood looks strange to me.'
    'As if a long time had passed between tomorrow morning and this afternoon.'
    'Where is the life that I recognize?'
    'My apartment looms ahead.'
    'Entrance. Stairs. Door. Living room. And finally, my room.'
    'I sit down on my bed, exhausted.'
    'And for a moment the only sound in the room is the clock.'
    'Always marching forward. Like a train.'
    'Taking us to the next station.'
    $ renpy.full_restart()

label herminger:
    scene bg back2 with fade
    
    if not mary:
        'I had run away and now I had returned once again. Herminger station. Mary.'
        'My heart was pounding on my ears. I was scared, just like last time.'
        m "Oh…You're back."
        'Her voice betrayed no real enthusiasm. It showed embarrassment, annoyance, maybe even pity, but had no warmth.'
        'The warmth of her voice, the soft words and kind intonation, it was all gone.'
        'What have I done?'
        I "Yeah. I wanted to come talk some more…"
        'Silence. The conversation dies into nervous silence and regret hits me again, hard and painful.'
        'Maybe I should have stayed silent. Never let her know what I felt. At least I would have kept a wonderful friend.'
        'Instead all I gained is silence. Silence and regret.'
        I "I just… I just wanted to know why."
        m "Do I really have to say?"
        I "Please. I need to know."
        m "I already like someone else."
        'First I felt a surge of anger and jealousy freeze my veins, but it was short lived. Why bother? She was already with someone else.'
        'I was too late. Survival of the fittest. Game over.'
        m "It's Peter. I still like him. I told you I had gotten over it, but I didn't. I still…"
        m "I still like him."
        'The news almost made me choke with sheer painful surprise.'
        'It appears that I wasn\'t the only one hiding things, I thought. And my heart squeezed tighter inside my chest.'
        I "Oh…I didn't…Know…"
        'And another silence followed, although my mind was screaming higher and higher with silent rage.'
        'Why he, who had always ignored her, rejected her, made her suffer… Why was HE the one she loved?'
        'While I… I tried my best… To make her happy. To see her smile. To protect her. Comfort her…'
        'Why? Why are things so unfair?'
        'I loved her so much… And it meant less than nothing for her?'
        I "I… This is not a whim, you know… I've been hiding it for a long time, but… I have liked you ever since the day I met you."
        m "Stop."
        m "Please… I don't want to her this…"
        I "I see..."
        I "Was I always so insignificant to you?"
        m "Don't do this. Don't play the victim. It's not my fault if you like me. I didn't want you to."
        I "So, after I hear your problems, cheer you up and do my best to be a good friend I am not entitled even to tell you how I love you?"
        m "But I don't want to hear this! It hurts! It hurts that you like me and I can't return this and that Peter thinks the same way about me!"
        m "It's not my fault! And it hurts! Go away!"
        'Silence again, although this time it\'s a mixed blessing, bringing reflection to cool blind rage.'
        'When did we start to yell at each other? When did we begin to hurt each other?'
        m "Umm…I didn't mean…"
        I "I'm sorry…"
        'And I walked away, even quicker than the first time, almost trying to outrun my shame and humiliation.'
        'It was all wrong. I wanted to tell her my feelings, to break the silence, not to worsen it. I wanted to get closer to her, not push her away…'
        'But intention and outcome so rarely are the same…So rarely…'
        $ mary = True
        jump herminger_menu

    elif not peter_warned: 
        'As I entered into the station, I wondered vaguely why I had come back.'
        'I felt a distinct sensation of unpleasant deja vù crawl up my back, making my head dizzy and my stomach sick.'
        'I replayed the last two encounters briefly in my head and just remembering them already caused me pain.'
        '\"What will this accomplish?\" I thought. \"What good can I bring?\"'
        'And I found no answers.'
        'Cowardly, I just waited for the next train and cast back fearful glances from time to time, hoping to get a glimpse of her.'
        'I looked at her from afar but couldn\'t get closer, yet I couldn\'t take my eyes off her either.'
        'Torn between love and pain. You could guess I wasn\'t happy at all.'
        'But when my train arrived, I was glad not to have seen her face. And deep inside I knew that she probably felt the same.'
        jump herminger_menu

    elif not cupid:
        'I have to admit that when I stepped into the station this time I was afraid.'
        'I had a vague fear inside me, an uneasiness that attracted me to that place in morbid curiosity.'
        'Why did I need to see it with my own eyes? Why was I searching so desperately for proof of what I already knew?'
        'Peter likes Mary. Mary likes Peter. It\'s as clear as a Euclidean equation.'
        'But I had to see. I had to confirm my suspicions, utterly and completely.'
        m "Umm… Peter declared to me. He said you encouraged him. But as he said it, I found out that the person I really like is…You."
        m "I'm sorry for treating you so terribly. I finally found out how deeply I love you. I won't deny my feelings ever again."
        'My imagination created brief fantasies, fighting a loosing battle against reality to cheer me up.'
        'It only made things worse.'
        'That\'s why I wanted to destroy any flicker of hope I had left, to erase her from my mind, and to burn away all my love into ashes and dust.'
        'I had to see them together.'
        'But when I did, it still hurt like hell… And who ever said that life was easy?'
        'They seemed so happy together. Like I sometimes dreamed Mary and I would be, if we ever were together.'
        'Now that would never happen.'
        'I silently wished them luck and then went to a distant corner, to wait for my train.'
        'I hated and envied them as much as I wanted them to be happy. Feelings don\'t always make sense.'
        $ cupid = True
        jump herminger_menu

    else:
        'I had returned to the station yet again, and again I had no idea why.'
        'See how were they doing? If they had not broken up? I felt foolish.'
        'But I could see neither of them, no matter how much I looked. I tried not to think of where they could be.'
        'My imagination created unpleasant scenarios filled with scenes that were as improbable as they were painful.'
        'I waited patiently for the train and tried not to think about it.'
        jump herminger_menu

label palladian:
    scene bg back1 with fade
    if peter_warned:
        'Palladian station once again.'
        'Peter was no longer here, but far from making me comfortable, I hated the station more than ever, now.'
        'I waited impatiently until the next train came, taking me away from that wretched place.'
        jump palladian_menu

    elif peter:
        'I descended on Palladian once again and it looked as unpleasant as before.'
        'I could see Peter talking cheerfully with a friend in the same café he was where I saw him last, a few moments ago. I felt nothing had changed.'
        if mary:
            'My blood froze as I remembered her words. Her confession. Her true feelings.'
            'She liked the pretty boy that was now laughing without a care in the world in a café table a few steps away from me.'
            'She liked Peter.'
            'And I remembered his words from before.'
            p "But I agree with you that it was cold of me, man... I'm totally with you there. I should have been kinder. I regret it now..."
            'I thought of Mary. I thought of him talking with her. I hesitated.'
            'But I knew there was no point in making any of their lives worse. I wasn\'t doing this for my sake or pleasure. I was doing it because I was the only one that could.'
            p "Hey. Nice seeing you again. Are you..."
            I "Do you feel sorry for rejecting Mary?"
            p "What?"
            'He looked stunned for a moment, my question fired without warning.'
            I "Do you feel regret?"
            p "Yeah... Yeah, like I told you. It was all true."
            I "Then go to Herminger and apologize. She is there. She'll accept it."
            p "What? But... Now...?"
            I "Now."
            'He looked to his friend, who in turn was looking at me as if I had sprouted green antlers, looking for help. Then he turned back to me.'
            p "Did she tell you she was waiting for me."
            I "No. But she will accept your apologies. And you should give her them."
            'He hesitated again, but something in my tone made his realize I was serious. He clumsily said goodbye to his friend and then to me, walking to the platform with a pensative expression.'
            'The friend glowered at me, but I ingored him, concentrating instead on the train stopping now at the station.'
            'I knew the consequences of what this conversation between the two might have. But I needed to be sure. I needed to finish that.'
            'I needed to connect the two, because I was in the middle and there wasn\'t much else I could do.'
            'And because no one should ever carry feelings unsaid. Never.'
            'I learnt that lesson the hard way.'
            $ peter_warned = True
        else:
            'I payed him no notice and wandered around the mall-station entrance aimlessly until my next train arrived.'
        jump palladian_menu

    else:
        'The light of Palladian Station dazzled my eyes the moment I stepped out of the train.'
        'It\'s close to a mall so the station is quite busy, and fairly high-class.'
        'I don\'t like it very much. Half of my class comes here to hang around and none of them have anything in common with me.'
        'And yet…I guess the place itself isn\'t so bad.'
        'But in the state I was at the moment, all I wanted was peace and quiet. I wanted to be alone.'
        'So the noise and bustle of Palladian mall were magnified to painful proportions and it was all unbearable. Stopping  here was a mistake.'
        p "Hey! What a surprise."
        'And I groaned inwardly as I saw the last person I wanted to see coming closer to me.'
        p "This is a surprise! You rarely show your face around here."
        I "Uhh, yeah… I don't…"
        if mary:
            'My heart squeezed a notch tighter when I remembered Mary\'s words. "How can she like a guy like this?" I thought.'
            p "So... You're not with Mary and Angela today?"
            'I narrowed my eyes with suspicion.'
            I "Why do you ask that?"
            I "Actually... How do you know we usually take the subway together?"
            p "Ah... That is... I just heard it from someone."
            'He was obviously embarssed and that raised my suspicions eve more. Did he knew about me and Mary already? But how could he? Did news travel that fast? Did someone know?'
            I "Heard it? I didn't know we were we so famous."
            'Ok, I wasn\'t exactly patient, but seeing peter and imagining his laughing face when he knew that I had been rejected made my blood boil.'
            p "Hey, sorry guy. I didn't mean to upset you or anything."
            p "And I'm sorry for snooping around. Honest."
            p "Actually... There's a reason I asked you this..."
            'He squirmed in place for a moment and my blood went from boiling point to freezing point in a single instant.'
            'His expression, of building up courage to tell me something, and his words pushed my suspicions in a different, and much more terrible direction.'
            I "Y-yes?"
            'I tried to sound nonchalant, but my mouth betrayed me.'
            p "Promise to keep this a secret please, ok?"
            
            I "I don't want her to know."
            
            'Oh no.'
            p "I think... I like her."
            'My mind just froze and went blank. I couldn\'t think of anything to say.'
            I "You think...?"
            p "Yeah, I know what you must be thinking. I turned her down. I didn't really knew her and... I was stupid, I know. I should have bought some more time. She probably hates my guts now."
            p "I know it may seem strange but..."
            'His words echoed mine so closely it was scary. And he reminded me of myself, confessing to Angela in hope that she would help me in some way.'
            'But there is one difference. She likes him.'
            p "Don't tell her, ok? Please! It's a secret!"
            'I wondered briefly if I could disencourage him. Say there was no hope. Drive him away and then...'
            'And then what?'
            'Her friendship with me is ruined. And if either of them find out... I\'ll be hated even more than I already am.'
            'I think that\'s when I finally admited defeat. Raised the white flag. Gave up hope. Rest in peace, my dreams.'
            I "She's at Hermington right now. Go and see her."
            p "What?"
            I "Go there and talk to her. Tell her you feelings. Right now."
            I "She still likes you."
            'Now it was his turn to stare at me silently, opening his mouth and closing in a ridiculous manner. I saw the train approachingn the station.'
            I "Take that train. Don't loose this opportunity."
            'He looked at the train and looked back at me.'
            p "Er... Thanks, I..."
            I "Just go!"
            'I couldn\'t bear to look at his face any longer. I wanted him to go out of my sight and get it done with.'
            'I felt terribly sad.'
            'He took my advice and rushed inside the train. Soon after the doors closed and he was out of my sight. It was over.'
            'For them it was just the begining. For me it was all over.'
            $ peter_warned = True
            
        else:
            p "So... You're not with Mary and Angela today?"
            'His clumsy, although not intentionally hurtful remark still recalled my rejection more painfully than I would like. I replied brusquely.'
            I "No."
            'Silence descended again. He must have felt my obvious displeasure because he looked away and was visibly embarassed.'
            p "I... You are angry at me... Because of Mary?"
            'I continued looking silently at him. I knew deep down that there was no outright reason for me to dislike him.'
            'He was not a bad person. And he had not stolen Mary from me.'
            'But just thinking that she once liked him... And he rejected her, rejected her love.'
            'I envied him. "If only I was in his place", I thought. "If only she had loved me instead."'
            p "But I agree with you that it was cold of me, man... I'm totally with you there. I should have been kinder. I regret it now..."
            I "You should say that to her, not to me."
            'My reply was cool, but merciless. He looked away again.'
            p "If only it was so easy..."
            'He said this with a vaguely sad voice, and for a moment I pitied him. He seemed genuinely concerned.'
            I "Look, I had a difficult day. I'm sorry if I'm a bit snappy."
            p "Oh, all right."
            'Someone called him from one of the cafés located in the gray area between the mall and the station. He looked and waved before turning back to me.'
            p "Uh... I gotta go. Hope you get better."
            I "Thanks."
            'He shook hands with me and then walked to the café, exchanging words I could not hear with his friend.'
            'I looked away and stared at the tunnel until my train arrived.'
            $ peter = True
        jump palladian_menu

label green:
    'As soon as I left the train I wondered why I had done it. Green Station is not anywhere near my house or anybody I know.'
    'But in the state I was in, it was a station as good as any.'
    'I could see Chesterton park through the other side of the barrier. The kids playing or crying, the families, the people eating lunch outside or taking a walk.'
    'And my imagination, at the time, mused that I was different from them. That I couldn\'t cross the ticket gate and join them.'
    'That I was some kind of ghost, forever cursed to haunt the subway and wander meaninglessly and silently. Only watching others have fun, but never being able to participate.'
    'I stared away and focused on the subway tracks instead, forcing myself not to look at the exit.'
    'When it finally did, it was with a sigh of relief that I said goodbye to that station.'
    jump green_menu
    
label katsuragi:
    scene bg back2 with fade
    
    if ryoko_leave:
        'This is the station where Ryoko was headed to... Katsuragi station.'
        'Actually... It\'s not that surprising. Katsuragi IS the center of the city\'s Japanese comunity.'
        'She spoke fluently though, except for the alcohol. Probably born and raised here.'
        'Her home... Is probably somewhere around here.'
        '\"Idiot, stop thinking about it. There\'s not a chance with her anymore. She\'s gone. Accept it.\" My thoughts pound my head like fists.'
        'And yet...'
        I "There has to be."
        I "There has to be a chance, no matter how small."
        'My feet moved by themsleves, as if they belonged to another person. I could only silently watch as these strange legs walked towards the exit.'
        'I crossed the ticket barrier.'
        scene bg white with dissolve
        'I was out of the subway.'
        'But I still had no direction. No objective...'
        'Nothing but a deep desire to avoid being alone. To avoid saying goodbye. To avoid loosing that last spark of hope inside me.'
        'So I began looking for Ryoko.'
        scene bg black with fade
        $ hour = 15
        $ min = 35
        ''
        $ hour = 17
        $ min = 20
        ''
        $ hour = 19
        $ min = 55
        ''
        $ hour = 20
        $ min = 15
        scene bg back5 with fade
        I "Excuse me, what's the time?"
        "Shopkeeper" "Hm... {p}A quarter past eight."
        I "Thank you."
        'I left the shop and looked desperately around the dark and empty street.'
        'So much time had passed... I had a hard time believing it. And my desperation grew with every passing minute.'
        'Where was she?'
        'Of course it was only foolish hope. Kasturagi is quite a large area. It was hopeless from the beginning.'
        'But I didn\'t want to go back. I couldn\'t.'
        'Even being alone at night wandering in the streets is better than being lonely in my apartment.'
        'Lonelyness inside a home is always magnified, more concentrated, and more unbearble.'
        'I was ready to search all night, just to avoid going home.'
        'Even if it\'s hopeless... Even if I\'ll still be alone. Even if seeing Ryoko one last time is nothing but a distant dream.'
        r "You...?"
        $ renpy.pause(2.0)
        'It was a miracle. I know it was. You could say it was chance, luck or fate, but that doesn\'t change the fact it was nothing less of a miracle.'
        r "What are you doing here?"
        I "I...{w} I was looking for you.{w} I didn't want to...{w} Say goodbye the way we did...{w} I know you didn't invite me...{w} It's not as if..."
        'Excuses and half-apologies tumbled out of my mouth and fell into the pavement, exposed in all their stupidity. I flushed with shame.'
        r "Well, if you want to... You can come with me to my apartment then."
        scene bg black with dissolve
        'She walked into the store I had just left and bought some beer. I helped carry the pack back to her apartment.'
        'And then we sat there, nervously looking at each other.'
        'Slowly the conversation dawned. I tried to explain her my reasons better. I talked about Mary.'
        'She warmed up as well and talked about Rick, her boyfriend. We cheered each other up.'
        'The night marched on and we drank and emptied our hearts.'
        'I hadn\'t realized how much pain I had carried until then, when I relieved her my story. We imediatly bonded, joined by our pain and our loneliness. Finding comfort and understanding in the other.'
        'She was crying and I held her, whispering soothing words.'
        'And then, without any thoguht of the consequences, I kissed her.'
        'We began kissing and caressing desperately, with a passion born out of heartache and repressed desire.'
        'Her breath had alcohol in it, but was still sweet, intoxicating. Her lips were burning against mine. Her skin was soft and delicate.'
        'I kissed her neck, her shoulder, any exposed part of her. She raised her shirt and I held her tightly. My mind thought of her, and only her.'
        'Clothes came off, one after the other in the middle of our caressing and I didn\'t notice until I held her naked body aginst mine and shivered with pleasure.'
        'We embraced and kissed. We moaned and gasped. We loved each other as long as we could, until we were dripping with sweat and our bodies were aching with tiredness.'
        'That night I knew her more intimately than I ever knew any woman I  had ever met.'
        'Those were my thoughts as I drifted to sleep, craddling her in my arms.'
        
        r "Oh shit."
        'I opened my eyes and looked around. For a confused moment I couldn\'t recognize the room.'
        'Then my memory came back, and I was wide awake.'
        r "Oh shit, oh shit, oh shit..."
        'Ryoko was cursing non-stop as she paced around the room, which had beer cans and our clothes scattered across the floor. She was naked and then I realized so was I.'
        'In the daylight I felt much more embarassed than yesterday and drew my knees to my chin self-conciously.'
        r "How old are you?"
        I "17..."
        r "Oh SHIT."
        I "I'll be 18 in 8 months though. I'm almost legal age, really."
        r "Why did I do this... Why did I do this?"
        'She didn\'t listen to me, still walking around the room naked and talking to herself.'
        'Funny thing. It made her look cute... In a strange way I can\'t define.'
        I "Look, it's ok. I'm not going to yell about you to the cops or anything... I don't even think it's a crime. It's only when the woman is underaged, isn't it?"
        'She looked at me with eyes full of hope, like a puppy trying to escape punishment. Then she glanced back at herself and finnally blushed, walking away into another room and closing the door.'
        'I felt awkward as I gathered my crumpled clothes and started putting them on.'
        I "Woah... My shirt is missing one button. It's torn out.{p}How did we do that?"
        'She walks back into the room. Fully clothed she looks very different. Older for a start.'
        r "Look, I have to go to work. I'm already late. Let's leave imediatly."
        'She walked briskly to the front door and I smiled amusedly. I had forgotten I had school today. It felt like so much time had passed since yesterday.'
        'Then I realized she was unlocking the door, and soon I\'d be shooed out and maybe we would never meet again.'
        'And my heart ached, just like it did yesterday.'
        I "Wait."
        I "Look, I now this started a bit weird... Kinda backwards from the normal romance..."
        I "But can't you give us a chance? Maybe go out together some other time? Just to have fun and know each other better?"
        'She gazeed at me blankly. Inside I was praying for another miracle.'
        r "Well, we could try being friends..."
        'She said that carefully, almost trying out the idea.'
        I "Yeah, we could talk and spend some time together."
        r "After all a friendship wouldn't look weird."
        I "No. I know people who have a bigger age difference and are friends."
        r "We could eat out together... Or you could visit me and my home."
        'She blushed after that double-meaning suggestion. I think she didn\'t intend it to sound like that, but the memories of last night twist the words into a seductress\' whisper.'
        r "I have to go now."
        'And she opened the door and dragged me out, closing it again and locking twice. All sign of intimacy gone.'
        'Then she walked away, not even looking back. I stared back at the door longingly, wanting to return time and maybe say the right thing. Make it work, somehow.'
        r "Hey."
        'I truned and she was in front of me. She pressed a card into my hand and kisses my cheek.'
        r "Um. Thank you."
        'She left again, not even giving me a chance to reply.'
        'I looked at the card. It had her name and phone number neatly printed on it.'
        'I pocketed it. Then, with crumpled clothes and a goofy smile, I walked to the subway station.'
        'In a single night my life had changed.'
        'I was no longer a virgin.{p}I was no longer in pain.{p}And I was no longer alone.'
        $ renpy.full_restart()
    
    elif ryoko_card:
        '"This is where ryoko lives... She must live somewhere after that ticket gate," I thought.'
        'But I couldn\'t go. I didn\'t even know where she lives.'
        'And besides, I had the business card with her telephone. I held it tightly in my pocket as I gazed wistfully at the exit.'
        'But this was not my final station.'
        'The next train arrived and I entered, letting it take me to the next station.'
        jump line_6_ccw
        
    else:
        'As the train reached the end of the line everybody left and only I stayed behind. I felt suddenly alone.'
        'I walked quickly to the other platfrom and waited among the others for the train going back.'
        'Anypne who was watching me would think I was crazy, going back and forth between stations.'
        'But I was just delaying. Delaying the inevitable return.'
        'And denying my own despair.'
        jump line_6_ccw

label ryoko_together:
    'I ran to the train and entered at the last moment, feeling the doors close automatically behind my back.'
    'If I had been a moment too late they would have trapped me.'
    'But I had managed it. And in the right train as well. I could see that woman sitting unsteadily in a corner.'
    'But I hesitated, not knowing the right way to approach her. "Hi" seemed too informal while "How are you doing?" would be plain dumb.'
    'Then she saw me, and I had no choice. I steeled myself and sat down next to her, thinking my words carefully.'
    "Strange woman" "What do you wan'...? I a'ready... 'Pologized..."
    I "I've been dumped as well."
    I "Actually... Just rejected. But I know how you feel. It's pretty awful."
    I "And... Don't worry. I don't think you're... Lousy or... Embarassing or anything. I totally understand you. I know how tough it is."
    I "Yeah... I guess I just wanted to tell you this..."
    'She looked at me blankly, and I felt very stupid at that point. I looked away to hide my embarassment.'
    "Strange woman" "You came 'ere jus' to say this?"
    I "Yeah..."
    "Strange woman" "But... You're now stuck in here 'till next station..."
    I "I wanted to tell you this..."
    'I gestured vaguely and cursed myself inside. My thoughts ran along the line of "Whattheheckareyoudoingshemustthinkyou\'reanidiotagoddamnidiot..."'
    "Strange woman" "Thass so cute."
    'But I guess my thoughts were wrong.'
    I "Excuse me?"
    "Strange woman" "You're cute... Coming wimme jus' to cheer me up."
    "Strange woman" "How... How old are you?"
    I "17"
    'I was still numb with the sudden change of direction in the conversation... Or rather, with the fact that it was going much better than I thought.'
    'Being called cute was NOT among what I had predicted for our conversation.'
    "Strange woman" "Still young... You don' need to worry... There's still a lotta... Stuff... Comin' up."
    "Strange woman" "But soon you'll star' slidin' down the razor blade of life..."
    "Strange woman" "And fr'm then on... 'S all just stupid... Depressin'... Crap."
    'I didn\'t know how to react to those comforting words so I changed the subject.'
    I "You haven't told me your name yet."
    'She laughed softly and looked at me, eyes shinging with mirth... Or maybe it was just the alcohol.'
    r "Ryoko Kawamura, pleased to meet 'cha."
    I "Well... Ryoko. I don't know this guy, Rick. But I think he's making a huge mistake."
    I "Ah. I mean, I don't know you very long, but still... You... You don't deserve this."
    I "If this guy was here, looking at your right now. If he saw how sad you are... He would realize the stupidity of what he's doing."
    'I didn\'t know what I was talking anymore. Just spitting out the first things that came to my mind.'
    'Doing my best not to let the conversation dry up, and a conversation with a complete stranger at that.'
    'I was nuts.'
    r "You're so kind as well... I don' even know whatta say after that."
    I "Oh sorry... I... Sometimes get too carried away."
    r "No, no... Said very nice things."
    r "Say, what d'ya think of coming wimme to my house? We can talk some more... Drink a little..."
    'She paused for a second and realized what she had said.'
    'A woman in her late twenties that wasn\'t exactly sober was inviting an underage 17 year old student to her house to drink.'
    'It certainly was open to the wrong interpretation.'
    r "Ah. Um. I'm sorry... I shouldn't..."
    'The realization must have sobered her up. Her speech became clearer and her face was white.'
    r "I didn't mean... I..."
    I "Oh... I have something to do right now... I guess I can't."
    'The conversation, despite my best attempts, had now dried like a drop of water in the desert. Both of us looked away and fiddled, too embarassed to restart the conversation.'
    'The train then slowly came to a halt and light flooded from the outside.'
    r "Now you can leave. You're not going same way as me..."
    'I made a non-comittal noise as my thoughts raced behind my eyes.'
    r "Thanks for cheering me up..."
    'But she doesn\'t look exactly cheerful, far from it.'
    $ station_n = 6
    call clock from _call_clock_22
    
    menu:
        
        "Exit train (Green St.)":
            jump doubts
            
        "Remain on train":
            jump ryoko_together2
            
label ryoko_together2:
    'Some people got up and walked out of the train but I remained still.'
    'Ryoko looked at me and got a little more nervous.'
    r "Look, forget about my invitation, ok? You should go back now."
    'I looked at her and smiled a little.'
    I "Can I at least walk you home? Just so we don't part in this uncomfortable silence?"
    'She hesitated for a moment, but it was enough. After a warning noise the doors closed and the train began to move again.'
    'She looked... I don\'t know. Scared. Or maybe happy. We were both silent, but only for a moment.'
    r "Look. I can' let you come with me... It wouldn' be right. And I don' want to give you the wrong impression."
    r "I think it's better for me to just be alone for a while. By myself."
    r "You're being very nice to me... Thank you, but I'll be ok on my own."
    'I let her words wash over me, feeling a distinct sense of dejà vu.'
    I "It feels like the second rejection I get this afternoon..."
    r "I didn'..."
    I "It's ok."
    I "Yeah, I know you didn't want to invite me. It was a thing of the moment."
    I "And even if you did... It would still be ok, you know?"
    I "Well... If that makes any difference, I really just wanted to walk you home."
    'I looked outside, suddenly tired of the conversation. The next station is already looming ahead.'
    'She is quiet. I did not know what was she thinking, and I didn\'t care either.'
    'I was just tired of stubbing my foot. Tired of making mistakes.'
    'I was very tired.'
    'The train started slowing to a halt.'
    r "Here..."
    'She pushed a business card into my hands. It had her name and telephone, between other things.'
    r "Don't take that all the wrong way... But if you want to... Call me later..."
    'She pauses. I couldn\'t even begin to guess what were her thoughts. Or if this was a joke, a provocation and invitation or just pity.'
    I "Yeah... I guess I'll call later to see how you are. A friendly call."
    r "A friendly call."
    'She echoed and smiled nervously at me. I couldn\'t help but smiling back.'
    'She got up and waved me goodbye before walking out the train. I left as well, since this was the last stop.'
    'And as I waited for the next train to bring me back, I watched Ryoko exit the station with the rest of the crowd and slowly fade from view.'
    'I played with the card and smiled before putting it in my pocket.'
    'Who knows what would come after the friendly call?'
    $ ryoko_card = True
    jump line_6_ccw
    
label doubts:
    
    'I muttered a goodbye and left the train. In a blink of an eye it was gone.'
    'Gone. She was gone. I wouldn\'t see her again, ever.'
    '\"Of course she\'s gone,\" I scolded myself. \"What did you expect? For you two to fall in love? Just like in the movies? Sunset included? Happy ending?\"'
    'It was obvious things would end like this. We were strangers who met in a very strange way in the subway. That\'s all. We said hello, we said goodbye, we went our ways.'
    'But if I knew that from the start... Then why does my heart hurt so much?'
    'Why do I feel so alone, waiting in this station for the next train heading nowehre?'
    'Have I made I mistake? Will I regret this?'
    'No matter. It\'s gone. Goodbye.'
    'I\'ve said goodbye today already. Goodbye to a good friend and to a love I nurtured inside me for so long.'
    'So many goodbyes. So many in a single day.'
    'Why goodbyes always have to be so sad?'
    $ ryoko_leave = True
    jump green_menu

label times_up:
    $ hour = 15
    $ min = 0
    'It was already three p.m. That meant Mary had already taken her train.'
    'There was no way to talk to her anymore. C\'est fini. The end.'
    'And I realized that, despite everything I still had some hope. I was still hoping that I would get a chance to talk to her.'
    'Now this chance was gone. I was as heartbroken as I was relieved. There was a certain comfort in the finality of the matter.'
    'There was nothing I could do anymore.'
    'So I finally went home, through the same station I had constantly avoided for the last two hours.'
    'Banerjee station.'
    jump banerjee
    